%define			name wmlenovo
%define			version 0.1.4
%define			release 3

Name:			%{name}
Version:		%{version}
Release:		%mkrel %release
Summary:		Dockapp for monitoring battery state, CPU, GPU and motherboard temperatures, cpu and fan speed on Lenovo (IBM) laptops.
Group:			Monitoring
License:		GPL
URL:			http://dockapps.org/file.php/id/347
Source0:		%{name}-%{version}.tgz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:		libxpm
BuildRequires:  	xpm-devel

%description
Dockapp for monitoring battery state, CPU, GPU and motherboard temperatures,
cpu and fan speed on Lenovo (IBM) laptops. Require ACPI and thinkpad_acpi. 
The application based on wmbatteries.

Menu is located in System -> Monitoring

%prep
%setup -q -n %{name}

%build
%configure2_5x --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# xdg menu entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=wmlenovo
GenericName=Battery monitor for ThinkPads
Exec=%{_bindir}/%{name}
Icon=monitoring_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING NEWS THANKS TODO ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.bz2

%changelog
* Sun Dec 13 2009 Texstar <texstar at gmail.com> 0.1.4-3pclos2010
- fix rpm group Monitoring

* Mon Dec 07 2009 Texstar <texstar at gmail.com> 0.1.4-2pclos2010
- rebuild

* Tue Jul 28 2009 johnnyblack <johnnyblack at inbox.com>  0.1.4-1pclos2009
- create

